summaryrefslogtreecommitdiffstats
path: root/source/d/automake/automake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/automake/automake.SlackBuild')
-rwxr-xr-xsource/d/automake/automake.SlackBuild85
1 files changed, 85 insertions, 0 deletions
diff --git a/source/d/automake/automake.SlackBuild b/source/d/automake/automake.SlackBuild
new file mode 100755
index 000000000..c105dfeba
--- /dev/null
+++ b/source/d/automake/automake.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.10.1
+ARCH=${ARCH:-x86_64} # note: the package is _built_ as 'noarch'
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-automake
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf automake-$VERSION
+tar xvf $CWD/automake-$VERSION.tar.?z* || exit 1
+cd automake-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+# Change hard links to symlinks:
+SHORTNAME=$(echo $VERSION | cut -f1,2 -d .)
+( cd $PKG/usr/bin
+ rm -f aclocal
+ ln -sf aclocal-$SHORTNAME aclocal
+ rm -rf automake
+ ln -sf automake-$SHORTNAME automake
+)
+#linkup;
+
+# Create local aclocal dir:
+mkdir -p $PKG/usr/share/aclocal
+touch $PKG/usr/share/aclocal
+
+mkdir -p $PKG/usr/doc/automake-$VERSION
+mv $PKG/usr/share/doc/automake/* $PKG/usr/doc/automake-$VERSION
+cp -a \
+ AUTHORS COPYING* NEWS README* THANKS TODO \
+ $PKG/usr/doc/automake-$VERSION
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/automake-$VERSION-noarch-$BUILD.txz
+